import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, l = p.length - 1, o; l >= 0; l--)
    (o = p[l]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && m(t, i, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chatFilled", this.class = "c-pieIcon c-pieIcon--chatFilled", this.name = "IconChatFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chatFilled"><path d="M12.375 2.969h-8.75A1.54 1.54 0 0 0 2.094 4.5v10.281h1.444l2.555-2.564c.043-.037.099-.059.157-.06h6.125a1.54 1.54 0 0 0 1.531-1.532V4.5a1.54 1.54 0 0 0-1.531-1.531Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-chat-filled")
], s);
export {
  s as IconChatFilled
};
